org.apache.lucene.analysis.morfologik

## Class MorfologikFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.morfologik.MorfologikFilterFactory

    public class MorfologikFilterFactory
    extends TokenFilterFactory

Filter factory for `MorfologikFilter`.

     <fieldType name="text_polish" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.MorfologikFilterFactory" dictionary="MORFOLOGIK" />
       </analyzer>
     </fieldType>

Any of Morfologik dictionaries can be used, these are at the moment: `MORFOLOGIK` (Morfologik's original dictionary), `MORFEUSZ` (Morfeusz-SIAT), `COMBINED` (both of the dictionaries above, combined).

See Also:
  Morfologik web site

### Field Summary

Fields
`static String` `DICTIONARY_SCHEMA_ATTRIBUTE` Schema attribute.

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`MorfologikFilterFactory()` Sole constructor.

### Method Summary

Methods
`TokenStream` `create(TokenStream ts)`
`void` `init(Map<String,String> args)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DICTIONARY_SCHEMA_ATTRIBUTE

    public static final String DICTIONARY_SCHEMA_ATTRIBUTE

Schema attribute.

See Also:
  Constant Field Values

### Constructor Detail

#### MorfologikFilterFactory

    public MorfologikFilterFactory()

Sole constructor. See `AbstractAnalysisFactory` for initialization lifecycle.

### Method Detail

#### create

    public TokenStream create(TokenStream ts)

Specified by:
  `create` in class `TokenFilterFactory`

#### init

    public void init(Map<String,String> args)

Overrides:
  `init` in class `AbstractAnalysisFactory`